diff --git a/completion/tests/behat/enable_manual_complete_mark.feature b/completion/tests/behat/enable_manual_complete_mark.feature
index 8b8a826..f1e162e 100644
--- a/completion/tests/behat/enable_manual_complete_mark.feature
+++ b/completion/tests/behat/enable_manual_complete_mark.feature
@@ -11,8 +11,8 @@ Feature: Allow students to manually mark an activity as complete
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | Frist | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | Frist | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/completion/tests/behat/restrict_activity_by_date.feature b/completion/tests/behat/restrict_activity_by_date.feature
index db9a37a..c54995f 100644
--- a/completion/tests/behat/restrict_activity_by_date.feature
+++ b/completion/tests/behat/restrict_activity_by_date.feature
@@ -10,8 +10,8 @@ Feature: Restrict activity availability through date conditions
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | Frist | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | Frist | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/completion/tests/behat/restrict_activity_by_grade.feature b/completion/tests/behat/restrict_activity_by_grade.feature
index a7823e3..8288670 100644
--- a/completion/tests/behat/restrict_activity_by_grade.feature
+++ b/completion/tests/behat/restrict_activity_by_grade.feature
@@ -11,8 +11,8 @@ Feature: Restrict activity availability through grade conditions
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | Frist | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | Frist | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/completion/tests/behat/restrict_section_availability.feature b/completion/tests/behat/restrict_section_availability.feature
index 8084dff..405c799 100644
--- a/completion/tests/behat/restrict_section_availability.feature
+++ b/completion/tests/behat/restrict_section_availability.feature
@@ -10,8 +10,8 @@ Feature: Restrict sections availability through completion or grade conditions
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | Frist | teacher1@asd.com |
-      | student1 | Student | First | student1@asd.com |
+      | teacher1 | Teacher | Frist | teacher1@example.com |
+      | student1 | Student | First | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/course/tests/behat/activities_edit_with_block_dock.feature b/course/tests/behat/activities_edit_with_block_dock.feature
index dc032a5..735288e 100644
--- a/course/tests/behat/activities_edit_with_block_dock.feature
+++ b/course/tests/behat/activities_edit_with_block_dock.feature
@@ -8,7 +8,7 @@ Feature: Open the edit menu when a block is docked
   Scenario: Open the action menu with a block docked
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | weeks |
diff --git a/course/tests/behat/activities_group_icons.feature b/course/tests/behat/activities_group_icons.feature
index 35dbee9..af30500 100644
--- a/course/tests/behat/activities_group_icons.feature
+++ b/course/tests/behat/activities_group_icons.feature
@@ -8,7 +8,7 @@ Feature: Toggle activities groups mode from the course page
   Scenario: Groups mode toggle with javascript enabled
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/course/tests/behat/activities_indentation.feature b/course/tests/behat/activities_indentation.feature
index 7100a80..ded5b0e 100644
--- a/course/tests/behat/activities_indentation.feature
+++ b/course/tests/behat/activities_indentation.feature
@@ -8,8 +8,8 @@ Feature: Indent items on the course page
   Scenario: Indent course items with Javascript enabled
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | weeks |
diff --git a/course/tests/behat/activities_visibility_icons.feature b/course/tests/behat/activities_visibility_icons.feature
index ef7195e..b9af5b1 100644
--- a/course/tests/behat/activities_visibility_icons.feature
+++ b/course/tests/behat/activities_visibility_icons.feature
@@ -8,8 +8,8 @@ Feature: Toggle activities visibility from the course page
   Scenario: Hide/Show toggle with javascript enabled
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
@@ -44,7 +44,7 @@ Feature: Toggle activities visibility from the course page
   Scenario: Activities can be shown and hidden inside a hidden section
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format | numsections |
       | Course 1 | C1 | topics | 2 |
@@ -71,7 +71,7 @@ Feature: Toggle activities visibility from the course page
   Scenario: Activities can be shown and hidden inside an orphaned section
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format | numsections |
       | Course 1 | C1 | topics | 2 |
diff --git a/course/tests/behat/add_activities.feature b/course/tests/behat/add_activities.feature
index 1bde753..3afab2f 100644
--- a/course/tests/behat/add_activities.feature
+++ b/course/tests/behat/add_activities.feature
@@ -7,8 +7,8 @@ Feature: Add activities to courses
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/course/tests/behat/course_controls.feature b/course/tests/behat/course_controls.feature
index d1e4def..8ce4478 100644
--- a/course/tests/behat/course_controls.feature
+++ b/course/tests/behat/course_controls.feature
@@ -19,7 +19,7 @@ Feature: Course activity controls works as expected
   Scenario Outline: General activities course controls using topics and weeks formats, and paged mode and not paged mode works as expected
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format | coursedisplay | numsections |
       | Course 1 | C1 | <courseformat> | <coursedisplay> | 5 |
@@ -99,7 +99,7 @@ Feature: Course activity controls works as expected
   Scenario Outline: General activities course controls using topics and weeks formats, and paged mode and not paged mode works as expected
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format | coursedisplay | numsections |
       | Course 1 | C1 | <courseformat> | <coursedisplay> | 5 |
diff --git a/course/tests/behat/course_creation.feature b/course/tests/behat/course_creation.feature
index 668a50d..42bd8f2 100644
--- a/course/tests/behat/course_creation.feature
+++ b/course/tests/behat/course_creation.feature
@@ -8,8 +8,8 @@ Feature: Managers can create courses
   Scenario: Courses are created with the default forum and blocks
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And I log in as "admin"
     And I create a course with:
       | Course full name | Course 1 |
diff --git a/course/tests/behat/edit_settings.feature b/course/tests/behat/edit_settings.feature
index 11e0f09..e481a33 100644
--- a/course/tests/behat/edit_settings.feature
+++ b/course/tests/behat/edit_settings.feature
@@ -8,7 +8,7 @@ Feature: Edit course settings
   Scenario: Edit course settings
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | summary | format |
       | Course 1 | C1 | <p>Course summary</p> | topics |
diff --git a/course/tests/behat/force_group_mode.feature b/course/tests/behat/force_group_mode.feature
index 73fe95e..b65df27 100644
--- a/course/tests/behat/force_group_mode.feature
+++ b/course/tests/behat/force_group_mode.feature
@@ -7,7 +7,7 @@ Feature: Force group mode in a course
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category |
       | Course 1 | C1 | 0 |
diff --git a/course/tests/behat/max_number_sections.feature b/course/tests/behat/max_number_sections.feature
index d3e7e55..8e05e50 100644
--- a/course/tests/behat/max_number_sections.feature
+++ b/course/tests/behat/max_number_sections.feature
@@ -7,7 +7,7 @@ Feature: The maximum number of weeks/topics in a course can be configured
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | manager1 | Manager | 1 | manager1@asd.com |
+      | manager1 | Manager | 1 | manager1@example.com |
     And the following "system role assigns" exist:
       | user | course | role |
       | manager1 | Acceptance test site | manager |
diff --git a/course/tests/behat/move_activities.feature b/course/tests/behat/move_activities.feature
index 9dd8fc1..dc8eef8 100644
--- a/course/tests/behat/move_activities.feature
+++ b/course/tests/behat/move_activities.feature
@@ -7,7 +7,7 @@ Feature: Activities can be moved between sections
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format | coursedisplay | numsections |
       | Course 1 | C1 | topics | 0 | 5 |
diff --git a/course/tests/behat/move_sections.feature b/course/tests/behat/move_sections.feature
index bc205d9..c993a3e 100644
--- a/course/tests/behat/move_sections.feature
+++ b/course/tests/behat/move_sections.feature
@@ -7,7 +7,7 @@ Feature: Sections can be moved
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format | coursedisplay | numsections |
       | Course 1 | C1 | topics | 0 | 5 |
diff --git a/course/tests/behat/rename_roles.feature b/course/tests/behat/rename_roles.feature
index 082242c..a26b8d9 100644
--- a/course/tests/behat/rename_roles.feature
+++ b/course/tests/behat/rename_roles.feature
@@ -8,9 +8,9 @@ Feature: Rename roles within a course
   Scenario: Rename roles within a course
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | teacher2 | Teacher | 2 | teacher2@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | teacher2 | Teacher | 2 | teacher2@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/course/tests/behat/restrict_available_activities.feature b/course/tests/behat/restrict_available_activities.feature
index 9a4f11b..74109f5 100644
--- a/course/tests/behat/restrict_available_activities.feature
+++ b/course/tests/behat/restrict_available_activities.feature
@@ -7,7 +7,7 @@ Feature: Restrict activities availability
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | category | format |
       | Course 1 | C1 | 0 | topics |
diff --git a/course/tests/behat/section_highlighting.feature b/course/tests/behat/section_highlighting.feature
index 82c35e6..eae3c32 100644
--- a/course/tests/behat/section_highlighting.feature
+++ b/course/tests/behat/section_highlighting.feature
@@ -8,8 +8,8 @@ Feature: Topic's course sections highlighting
   Scenario Outline: Highlight a topic's course section with course paged mode and without it
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format | coursedisplay |
       | Course 1 | C1 | topics | <coursedisplay> |
diff --git a/course/tests/behat/section_visibility.feature b/course/tests/behat/section_visibility.feature
index 333357f..f1360eb 100644
--- a/course/tests/behat/section_visibility.feature
+++ b/course/tests/behat/section_visibility.feature
@@ -8,8 +8,8 @@ Feature: Show/hide course sections
   Scenario: Show / hide section icon functions correctly
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/enrol/guest/tests/behat/guest_access.feature b/enrol/guest/tests/behat/guest_access.feature
index 1b8488e..ff5e780 100644
--- a/enrol/guest/tests/behat/guest_access.feature
+++ b/enrol/guest/tests/behat/guest_access.feature
@@ -7,8 +7,8 @@ Feature: Guest users can auto-enrol themself in courses where guest access is al
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/enrol/self/tests/behat/self_enrolment.feature b/enrol/self/tests/behat/self_enrolment.feature
index 0715544..a08f3bd 100644
--- a/enrol/self/tests/behat/self_enrolment.feature
+++ b/enrol/self/tests/behat/self_enrolment.feature
@@ -7,8 +7,8 @@ Feature: Users can auto-enrol themself in courses where self enrolment is allowe
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/grade/grading/form/rubric/tests/behat/edit_rubric.feature b/grade/grading/form/rubric/tests/behat/edit_rubric.feature
index 208af15..e699683 100644
--- a/grade/grading/form/rubric/tests/behat/edit_rubric.feature
+++ b/grade/grading/form/rubric/tests/behat/edit_rubric.feature
@@ -7,8 +7,8 @@ Feature: Rubrics can be created and edited
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/grade/grading/form/rubric/tests/behat/publish_rubric_templates.feature b/grade/grading/form/rubric/tests/behat/publish_rubric_templates.feature
index 726a34a..365649d 100644
--- a/grade/grading/form/rubric/tests/behat/publish_rubric_templates.feature
+++ b/grade/grading/form/rubric/tests/behat/publish_rubric_templates.feature
@@ -7,8 +7,8 @@ Feature: Publish rubrics as templates
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | manager1 | Manager | 1 | manager1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | manager1 | Manager | 1 | manager1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/grade/grading/form/rubric/tests/behat/reuse_own_rubrics.feature b/grade/grading/form/rubric/tests/behat/reuse_own_rubrics.feature
index 00a6419..7b23e70 100644
--- a/grade/grading/form/rubric/tests/behat/reuse_own_rubrics.feature
+++ b/grade/grading/form/rubric/tests/behat/reuse_own_rubrics.feature
@@ -7,7 +7,7 @@ Feature: Reuse my rubrics in other activities
   Background:
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "courses" exist:
       | fullname | shortname | format |
       | Course 1 | C1 | topics |
diff --git a/grade/tests/behat/grade_aggregation.feature b/grade/tests/behat/grade_aggregation.feature
index 0c554d1..f147539 100644
--- a/grade/tests/behat/grade_aggregation.feature
+++ b/grade/tests/behat/grade_aggregation.feature
@@ -10,8 +10,8 @@ Feature: We can use calculated grade totals
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email | idnumber |
-      | teacher1 | Teacher | 1 | teacher1@asd.com | t1 |
-      | student1 | Student | 1 | student1@asd.com | s1 |
+      | teacher1 | Teacher | 1 | teacher1@example.com | t1 |
+      | student1 | Student | 1 | student1@example.com | s1 |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/grade/tests/behat/grade_override_letter.feature b/grade/tests/behat/grade_override_letter.feature
index 56ed183..63017dd 100644
--- a/grade/tests/behat/grade_override_letter.feature
+++ b/grade/tests/behat/grade_override_letter.feature
@@ -10,7 +10,7 @@ Feature: Grade letters can be overridden
       | Course 1 | C1        |
     And the following "users" exist:
       | username | firstname | lastname | email            | idnumber |
-      | teacher1 | Teacher   | 1        | teacher1@asd.com | t1       |
+      | teacher1 | Teacher   | 1        | teacher1@example.com | t1       |
     And the following "course enrolments" exist:
       | user     | course | role           |
       | teacher1 | C1     | editingteacher |
diff --git a/grade/tests/behat/grade_scales.feature b/grade/tests/behat/grade_scales.feature
index 9deca64..f09c08d 100644
--- a/grade/tests/behat/grade_scales.feature
+++ b/grade/tests/behat/grade_scales.feature
@@ -21,12 +21,12 @@ Feature: View gradebook when scales are used
       | Course 1 | C1        |
     And the following "users" exist:
       | username | firstname | lastname | email            | idnumber |
-      | teacher1 | Teacher   | 1        | teacher1@asd.com | t1       |
-      | student1 | Student   | 1        | student1@asd.com | s1       |
-      | student2 | Student   | 2        | student2@asd.com | s2       |
-      | student3 | Student   | 3        | student3@asd.com | s3       |
-      | student4 | Student   | 4        | student4@asd.com | s4       |
-      | student5 | Student   | 5        | student5@asd.com | s5       |
+      | teacher1 | Teacher   | 1        | teacher1@example.com | t1       |
+      | student1 | Student   | 1        | student1@example.com | s1       |
+      | student2 | Student   | 2        | student2@example.com | s2       |
+      | student3 | Student   | 3        | student3@example.com | s3       |
+      | student4 | Student   | 4        | student4@example.com | s4       |
+      | student5 | Student   | 5        | student5@example.com | s5       |
     And the following "course enrolments" exist:
       | user     | course | role           |
       | teacher1 | C1     | editingteacher |
diff --git a/grade/tests/behat/grade_view.feature b/grade/tests/behat/grade_view.feature
index 59bb3b8..15cef78 100644
--- a/grade/tests/behat/grade_view.feature
+++ b/grade/tests/behat/grade_view.feature
@@ -11,8 +11,8 @@ Feature: We can enter in grades and view reports from the gradebook
       | Course 1 | C1 | topics |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student1 | Student | 1 | student1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/group/tests/behat/auto_creation.feature b/group/tests/behat/auto_creation.feature
index a49d13f..be24251 100644
--- a/group/tests/behat/auto_creation.feature
+++ b/group/tests/behat/auto_creation.feature
@@ -10,17 +10,17 @@ Feature: Automatic creation of groups
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student0 | Student | 0 | student0@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
-      | student3 | Student | 3 | student3@asd.com |
-      | student4 | Student | 4 | student4@asd.com |
-      | student5 | Student | 5 | student5@asd.com |
-      | student6 | Student | 6 | student6@asd.com |
-      | student7 | Student | 7 | student7@asd.com |
-      | student8 | Student | 8 | student8@asd.com |
-      | student9 | Student | 9 | student9@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student0 | Student | 0 | student0@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
+      | student3 | Student | 3 | student3@example.com |
+      | student4 | Student | 4 | student4@example.com |
+      | student5 | Student | 5 | student5@example.com |
+      | student6 | Student | 6 | student6@example.com |
+      | student7 | Student | 7 | student7@example.com |
+      | student8 | Student | 8 | student8@example.com |
+      | student9 | Student | 9 | student9@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/group/tests/behat/create_groups.feature b/group/tests/behat/create_groups.feature
index 466b7d4..263abb7 100644
--- a/group/tests/behat/create_groups.feature
+++ b/group/tests/behat/create_groups.feature
@@ -11,11 +11,11 @@ Feature: Organize students into groups
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
-      | student0 | Student | 0 | student0@asd.com |
-      | student1 | Student | 1 | student1@asd.com |
-      | student2 | Student | 2 | student2@asd.com |
-      | student3 | Student | 3 | student3@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
+      | student0 | Student | 0 | student0@example.com |
+      | student1 | Student | 1 | student1@example.com |
+      | student2 | Student | 2 | student2@example.com |
+      | student3 | Student | 3 | student3@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
@@ -35,10 +35,10 @@ Feature: Organize students into groups
     And I set the following fields to these values:
       | Group name | Group 2 |
     And I press "Save changes"
-    When I add "Student 0 (student0@asd.com)" user to "Group 1" group members
-    And I add "Student 1 (student1@asd.com)" user to "Group 1" group members
-    And I add "Student 2 (student2@asd.com)" user to "Group 2" group members
-    And I add "Student 3 (student3@asd.com)" user to "Group 2" group members
+    When I add "Student 0 (student0@example.com)" user to "Group 1" group members
+    And I add "Student 1 (student1@example.com)" user to "Group 1" group members
+    And I add "Student 2 (student2@example.com)" user to "Group 2" group members
+    And I add "Student 3 (student3@example.com)" user to "Group 2" group members
     Then I set the field "groups" to "Group 1 (2)"
     And the "members" select box should contain "Student 0"
     And the "members" select box should contain "Student 1"
@@ -64,7 +64,7 @@ Feature: Organize students into groups
       | Course 1 | C1 | 0 | 1 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/group/tests/behat/delete_groups.feature b/group/tests/behat/delete_groups.feature
index d2d9c17..41158de 100644
--- a/group/tests/behat/delete_groups.feature
+++ b/group/tests/behat/delete_groups.feature
@@ -10,7 +10,7 @@ Feature: Automatic deletion of groups and groupings
       | Course 1 | C1 | topics |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/group/tests/behat/groups_import.feature b/group/tests/behat/groups_import.feature
index 08c0c55..c9cc265 100644
--- a/group/tests/behat/groups_import.feature
+++ b/group/tests/behat/groups_import.feature
@@ -10,7 +10,7 @@ Feature: Importing of groups and groupings
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/group/tests/behat/id_uniqueness.feature b/group/tests/behat/id_uniqueness.feature
index 21ae676..f17a586 100644
--- a/group/tests/behat/id_uniqueness.feature
+++ b/group/tests/behat/id_uniqueness.feature
@@ -10,7 +10,7 @@ Feature: Uniqueness of Group ID number
       | Course 1 | C1 | 0 |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/group/tests/behat/update_groups.feature b/group/tests/behat/update_groups.feature
index 66e1920..3779fc7 100644
--- a/group/tests/behat/update_groups.feature
+++ b/group/tests/behat/update_groups.feature
@@ -10,7 +10,7 @@ Feature: Automatic updating of groups and groupings
       | Course 1 | C1 | topics |
     And the following "users" exist:
       | username | firstname | lastname | email |
-      | teacher1 | Teacher | 1 | teacher1@asd.com |
+      | teacher1 | Teacher | 1 | teacher1@example.com |
     And the following "course enrolments" exist:
       | user | course | role |
       | teacher1 | C1 | editingteacher |
diff --git a/message/tests/behat/block_users.feature b/message/tests/behat/block_users.feature
index 85bc317..0fb808c 100644
--- a/message/tests/behat/block_users.feature
+++ b/message/tests/behat/block_users.feature
@@ -8,8 +8,8 @@ Feature: Block users from contacting me
   Scenario: Block users from contacting me with Javascript enabled
     Given the following "users" exist:
       | username | firstname | lastname | email |
-      | user1 | User | One | one@asd.com |
-      | user2 | User | Two | two@asd.com |
+      | user1 | User | One | one@example.com |
+      | user2 | User | Two | two@example.com |
     And I log in as "user1"
     And I expand "My profile" node
     And I follow "Messages"
